Bug 250025 - Kernel panic in xfrm4
Kernel panic in xfrm4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-29 14:27 EDT by Neil Stoker
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 10:47:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Info from crash (1.18 KB, text/plain)
2007-07-29 14:27 EDT, Neil Stoker
no flags Details
Config file from /boot (71.64 KB, text/plain)
2007-07-29 14:28 EDT, Neil Stoker
no flags Details
System.map (1.16 MB, text/plain)
2007-07-29 14:30 EDT, Neil Stoker
no flags Details

  None (edit)
Description Neil Stoker 2007-07-29 14:27:07 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Attempt to boot machine
  
Actual results:
"Kernel panic - not syncing: Attempted to kill init!" at bottom of screen.
Attached file has the dump.


Expected results:
System to boot normally.

Additional info:

Enclosed copies of config file and system map.
Comment 1 Neil Stoker 2007-07-29 14:27:07 EDT
Created attachment 160201 [details]
Info from crash
Comment 2 Neil Stoker 2007-07-29 14:28:59 EDT
Created attachment 160202 [details]
Config file from /boot
Comment 3 Neil Stoker 2007-07-29 14:30:24 EDT
Created attachment 160203 [details]
System.map
Comment 4 Neil Stoker 2007-07-29 14:35:08 EDT
System is an Sempron 2800+ on an MS-7181 motherboard.
Comment 5 Neil Stoker 2007-08-01 05:18:02 EDT
Have the same problem with build 2.6.22.1-41.fc7

Latest screen has 
R10: 0000000000000000 R11: 0000000000000000 R12: ffffffff81462b3
R13: 0000000000000000 R14: ffffffff81444ea0 R15: 000000000000000
FS:  0000000000000000(0000) GS:ffffffff813ad000(000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000001c37 CR3: 0000000000201000 CR4: 0000000000006e0
Process swapper (pid:1, threadinfo ffff8100010ec000, task ffff8100010cc800)
Stack: ffffffff81441893 0000000000000000 0000000000000000 0000000000000000
 ffffffff81421a1b 0000000000000000 0000000000000000 0000000000000000
 0000000000000000 0000000000000000 0000000000000000 ffffffff81442a60
Call Trace:
 [<ffffffff81441893>] inet_init+0x120/0x34c
 [<ffffffff81421a1b>] kernel_init+0x206/0x370
 [<ffffffff8100a978>] child_rip+0xa/0x12
 [<ffffffff8113f9bc>] acpi_ds_init_one_object+0x0/0x7c
 [<ffffffff81421815>] kernel_init+0x0/0x370
 [<ffffffff8100a96e>] child_rip+0x0/0x12

Code: 11 01 00 81 ff ff 00 08 23 01 00 81 ff ff 10 00 23 01 00 81
RIP  [<ffffffff81230002>] xfrm4_dst_ifdown+0x31/0x88
 RSP <ffff8100010edec8>
CR2: 0000000000001c37
Time: tsc clocksource has been installed.
Kernelpanic - not syncing: Attempted to kill init!.
Comment 6 Chuck Ebbert 2007-08-01 12:29:54 EDT
Fix in CVS.

Note You need to log in before you can comment on or make changes to this bug.